# $Revision: 1.8 $, $Date: 2006/12/27 13:24:37 $
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check replication between MySQL database instances
Summary(pl):	Wtyczka Nagiosa do sprawdzania replikacji midzy instancjami bazy danych MySQL
Name:		nagios-plugin-check_mysql_replication
Version:	0.03
Release:	2
License:	Opensource
Group:		Networking
Source0:	http://www.james.rcpt.to/svn/trunk/nagios/check_mysql_replication/check_mysql_replication.pl
# Source0-md5:	af8da7807e1a03bf301fa70658fb08c3
Patch0:		%{name}-defaultpass.patch
URL:		http://www.james.rcpt.to/svn/trunk/nagios/check_mysql_replication/
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	nagios-core
Requires:	perl-DBD-mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/nagios/plugins
%define		_sysconfdir	/etc/nagios/plugins

%description
Check if a MySQL slave is running (IO thread), plus check the master
and server to see their current replication BINLOG positions.

%description -l pl
Ta wtyczka sprawdza, czy podrzdny MySQL (wtek IO) dziaa, oraz
sprawdza instancj nadrzdn i podrzdn, aby sprawdzi ich aktualne
pooenia BINLOG replikacji.

%prep
%setup -q -c -T
install %{SOURCE0} check_mysql_replication.pl
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_plugindir}}
install check_mysql_replication.pl $RPM_BUILD_ROOT%{_plugindir}/check_mysql_replication

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_mysql_replication.spec,v $
Revision 1.8  2006/12/27 13:24:37  glen
- do not set default slave pass; rel 2

Revision 1.7  2006/12/27 13:15:28  glen
- typo; rel 1

Revision 1.6  2006/08/29 22:14:57  glen
- direct Source0 address

Revision 1.5  2006/08/29 22:13:37  glen
- new upstream source; new URL

Revision 1.4  2006/08/29 12:31:50  glen
- permission and formatting bugfixes

Revision 1.3  2006/03/19 09:54:05  qboosh
- pl

Revision 1.2  2006/03/14 21:04:03  glen
- summary from program source

Revision 1.1  2006/03/14 21:00:08  glen
- new
